> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Retrieve a config type by ID.

| Scope | Required |
| - | - |
| `config_types:read` | Yes |


## OpenAPI

````yaml /references/platform-api/2026-11-04.yaml get /config_types/{config_type_id}
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-11-04.everglades
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-11-04.everglades
  x-git-commit:
    sha: e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    url: >-
      https://github.com/mirurobotics/openapi/commit/e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    message: >-
      feat(platform): add archived and deleted list filters, and tidy
      descriptions (#446)
    author: Ben's Agent
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-11-05T23:04:32.018858+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /config_types/{config_type_id}:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    get:
      tags:
        - Config Types
      summary: Get
      description: Retrieve a config type by ID.
      operationId: getConfigType
      parameters:
        - $ref: '#/components/parameters/config_type_id'
        - $ref: '#/components/parameters/config_type_expansions'
      responses:
        '200':
          description: Successfully retrieved the config type.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfigType'
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-11-04.everglades
      description: The API version the client was built against.
    config_type_id:
      name: config_type_id
      in: path
      required: true
      description: The unique identifier of the config type.
      schema:
        type: string
        example: cfg_typ_123
    config_type_expansions:
      name: expand
      in: query
      required: false
      description: Fields to expand on the config type resource.
      schema:
        type: array
        items:
          $ref: '#/components/schemas/ConfigTypeExpansion'
        example:
          - created_by
  schemas:
    ConfigType:
      allOf:
        - $ref: '#/components/schemas/BaseConfigType'
        - type: object
          properties:
            created_by:
              allOf:
                - $ref: '#/components/schemas/Principal'
              description: >-
                The principal who created the config type. Expand using
                `expand=created_by` in the query string.
            archived_by:
              allOf:
                - $ref: '#/components/schemas/Principal'
              nullable: true
              description: >-
                The principal who archived the config type. Null if
                `archived_by_id` is null. Expand using `expand=archived_by` in
                the query string.
      example:
        object: config_type
        id: cfg_typ_123
        name: Motion Control
        slug: motion-control
        created_at: '2021-01-01T00:00:00Z'
        updated_at: '2021-01-01T00:00:00Z'
        created_by_id: usr_123
        archived_at: null
        archived_by_id: null
    ConfigTypeExpansion:
      type: string
      enum:
        - created_by
        - archived_by
      x-enum-varnames:
        - CONFIG_TYPE_EXPAND_CREATED_BY
        - CONFIG_TYPE_EXPAND_ARCHIVED_BY
    BaseConfigType:
      title: Config Type
      type: object
      required:
        - object
        - id
        - name
        - slug
        - created_at
        - updated_at
        - created_by_id
        - archived_at
        - archived_by_id
      properties:
        object:
          type: string
          enum:
            - config_type
          example: config_type
          x-stainless-const: true
          description: The object type, which is always `config_type`.
        id:
          type: string
          example: cfg_123
          description: ID of the config type.
        name:
          type: string
          example: My Config Type
          description: Name of the config type.
        slug:
          type: string
          example: my-config-type
          description: An immutable, code-friendly name for the config type.
        created_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          description: Timestamp of when the config type was created.
        updated_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          description: Timestamp of when the config type was last updated.
        created_by_id:
          type: string
          example: usr_123
          description: ID of the principal who created the config type.
        archived_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          nullable: true
          description: >-
            Timestamp of when the config type was archived. Null if the config
            type is not archived.
        archived_by_id:
          type: string
          example: usr_123
          nullable: true
          description: >-
            ID of the principal who archived the config type. Null if the config
            type is not archived or was archived before this field was recorded.
    Principal:
      title: Principal
      type: object
      required:
        - object
        - id
        - name
        - type
      properties:
        object:
          type: string
          enum:
            - principal
          example: principal
          x-stainless-const: true
          description: The object type, which is always `principal`.
        id:
          type: string
          example: api_key_123
          description: ID of the principal.
        name:
          type: string
          example: My CI/CD Key
          description: The display name of the principal.
        type:
          allOf:
            - $ref: '#/components/schemas/PrincipalType'
          description: >-
            The kind of principal. More types may be added, so handle unknown
            values.
      example:
        object: principal
        id: api_key_123
        name: My CI/CD Key
        type: api_key
    PrincipalType:
      title: Principal Type
      type: string
      enum:
        - user
        - api_key
        - device
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.